cancel
Showing results for 
Search instead for 
Did you mean: 

Merchant Security Upgrade Testing (PP-LIVE-8238)

Moderator

Re: Merchant Security Upgrade Testing (PP-LIVE-8238)

Hi LittleZe, if you are using the APIs for your PayPal transactions (which will communicate via the TLS protocols) you need to check with your server administrator that the TLS protocols v1.2 are used. Your server administrator knows how to upgrade to TLSv1.2 in case it is not already done.

Member

Re: Merchant Security Upgrade Testing (PP-LIVE-8238)

We too have been getting continuous emails saying we need to be upgraded and now today a phone call - to which we cannot return the call as your systems say there is an error and disconnects us after being on hold for about 10 minutes.

 

Our host server has confirmed with us back in April that we are good to go and that our server has all the updated software etc. that you are requiring and even some that are newer updates from what you have asked for. It is becoming increasingly concerning that we get these emails and calls when our service has not had any issues and when our host even declares we are fine.

 

Would someone please be able to update us as to whether or not we are part of a mass email network and no one is really trying to reach us personally as much as generically reaching out to everyone?

 

Thank you.

Member

Re: Merchant Security Upgrade Testing (PP-LIVE-8238)

I don't understand how this works and I'm stressing out about it. I was away and nobody told me I got the letter from Paypal explaining the TLS 1.2 update until now. 

New Community Member

Re: Merchant Security Upgrade Testing (PP-LIVE-8238)

I have migrated all my API calls using the ipnpb.paypal.com subdomain for several days, and the payments are working well.

At first I think all our calls are TLS1.2 compliant, but my boss is asking me why we are still receiving emails and account restrictions ... have I missed something?

Member

Re: Merchant Security Upgrade Testing (PP-LIVE-8238)

So this morning it happens, I get this message:

 

Your account was limited for failing to upgrade your encryption protocols to Transport Layer Security (TLS) 1.2. You will not be able to move money out of your PayPal account until you make the required update.

 

I upgraded to TLS 1.2 a number of days ago.  I've tested with sandbox multiple times (and it works fully).

 

It's 100% clear in the documentation that sandbox was already upgraded to 1.2, and that if you hadn't upgraded the sandbox would work.

 

And there's nothing that will tell me where the problem is.  (if there is one which I don't believe there is).

 

Any MTS don't reply to questions about it, and I can't get through to a real person at MTS, only staff who have no clue about the upgrade.

Moderator

Re: Merchant Security Upgrade Testing (PP-LIVE-8238)

Hi,

 

All of the information related to the new TLS upgrade can be found in these two resources:

https://www.paypal-notice.com/en/TLS-1.2-and-HTTP1.1-Upgrade/
and
https://www.paypal-notice.com/en/IPN-Verification-Postback-to-HTTPS/ (should you be using IPN)

In order to determine where your account was identified as having an issue, you can create a request to https://www.paypal-techsupport.com/
Our Merchant Technical Support staff can potentially provide some further guidance for you to work with your developer or CRM to ensure the necessary changes are made.

That being said, if you are currently processing transactions through your website successfully to PayPal, you are passing the new TLS protocol.

Moderator

Re: Merchant Security Upgrade Testing (PP-LIVE-8238)

Hi,

 

All of the information related to the new TLS upgrade can be found in these two resources:

https://www.paypal-notice.com/en/TLS-1.2-and-HTTP1.1-Upgrade/
and
https://www.paypal-notice.com/en/IPN-Verification-Postback-to-HTTPS/ (should you be using IPN)

In order to determine where your account was identified as having an issue, you can create a request to https://www.paypal-techsupport.com/
Our Merchant Technical Support staff can potentially provide some further guidance for you to work with your developer or CRM to ensure the necessary changes are made.

That being said, if you are currently processing transactions through your website successfully to PayPal, you are passing the new TLS protocol.

Moderator

Re: Merchant Security Upgrade Testing (PP-LIVE-8238)

Hi,

 

All of the information related to the new TLS upgrade can be found in these two resources:

https://www.paypal-notice.com/en/TLS-1.2-and-HTTP1.1-Upgrade/
and
https://www.paypal-notice.com/en/IPN-Verification-Postback-to-HTTPS/ (should you be using IPN)

In order to determine where your account was identified as having an issue, you can create a request to https://www.paypal-techsupport.com/
Our Merchant Technical Support staff can potentially provide some further guidance for you to work with your developer or CRM to ensure the necessary changes are made.

That being said, if you are currently processing transactions through your website successfully to PayPal, you are passing the new TLS protocol.

New Community Member

Re: Merchant Security Upgrade Testing (PP-LIVE-8238)

I'm a bit confused to what is going on. I've already received an email June 19th in regards to my TLS needing to be updated? I'm unaware to what that is, let alone how that affects myself as I use invoices. Does this mean through websites such as Ko-Fi, Patreon, or even PayPal.me? I do not have any form of Paypal integration, let alone any website that I am aware of that the account is tied to aside from those mentioned above. To top it off, I have received a physical letter from PayPal saying they have been trying to contact me in regards to this update for the last two years. Letter was dated June 4th, 2018 and was received today (July 2nd, 2018). I have not in any way been notified prior to the email, or even before this letter was sent to me. Is there any way to check and see if the account was compromised and is being used in an integration? I don't see any outstanding transactions outside of the norm, so I don't understand what is going on.

Moderator

Re: Merchant Security Upgrade Testing (PP-LIVE-8238)

Hi Sara-Morrell,

If you are processing payments successfully then you are TLS compliant! Otherwise your transactions would get a connection error etc.. Should you have any further questions, feel free to contact us at https://www.paypal-techsupport.com/